Subject: Re: (ngtrans) ngtrans w.g. Last Call on BGP-TUNNEL-04 for PS

From: [email-masked]
Date: Mon, 18 Mar 2002 09:37:33 +0100

see below

Pekka Savola wrote:
> 
> On Fri, 15 Mar 2002 [email-masked] wrote:
> 
> > Pekka,
> >
> > Coming back to a point you made earlier regarding "the signaling of the
> > encapsulation type".  This is indeed a valid point and after some
> > discussion with the other co-authors we want to addres it as follows:
> >
> > In PPVPN there is work ongoing on a new BGP extended community: Tunnel
> > Type (see draft-rosen-ppvpn-ipsec-2547-00.txt).  This extended community
> > permits the egress PE to specify which tunnel type MUST be used.  In the
> > bgp-tunnel draft we want to specify which tunnel type must be used in
> > the absence of this Tunnel Type extended community.  The rules we
> > propose are:
> >
> > 1. If a labeled route is advertised (an advertisement with SAFI 4 or
> > 128), the default tunnel must be MPLS
> > 2. If an unlabeled route is advertised (SAFI is not 4 or 128), the
> > default tunnel must be IP-in-IP.
> 
> What about GRE tunneling?  (Or others, possibly defined in the future)?

Once the Tunnel Type Extended Communty will be definded, bgp-tunnel can
be used with other tunnel types (such as GRE).  We believe it is better
to define the Tunnel Type Extended Community in a separate draft since
other work (draft-rosen-ppvpn-ipsec-2547-00.txt) also wants to use it.

dirk

> 
> > > Is this really standards track material?  Wouldn't experimental or
> > > informational be better?  For example, encapsulation type isn't specified
> > > or signalled, so I fail to see how implementation and practise would be
> > > interoperable (clearly, in one domain manual configuration to one
> > > encapsulation type is required, but what about if there is a border router
> > > between two clouds with different encapsulation) -- or perhaps this needs
> > > clarification?
> > >
> > > --
> > > Pekka Savola                 "Tell me of difficulties surmounted,
> > > Netcore Oy                   not those you stumble over and fall"
> > > Systems. Networks. Security.  -- Robert Jordan: A Crown of Swords
> >
> >
> 
> --
> Pekka Savola                 "Tell me of difficulties surmounted,
> Netcore Oy                   not those you stumble over and fall"
> Systems. Networks. Security.  -- Robert Jordan: A Crown of Swords

-- 
Dirk Ooms                       mailto:[email-masked]
                                tel:+32 3 2404732
Network Strategy Group (NSG)    http://aww.alcatel.com/nsg
Alcatel                         http://www.alcatel.com